"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("./constants");

const as = ({
  promise
}, jwtToken) => {
  if (promise[_constants.symbol].phase !== _constants.Phases.RESOLVER) {
    throw new TypeError();
  }

  promise[_constants.symbol].jwtToken = jwtToken;
  promise[_constants.symbol].phase = _constants.Phases.AS;
  return promise;
};

var _default = as;
exports.default = _default;
//# sourceMappingURL=as.js.map